import { HttpHeaders } from '../http-headers.js';
import { Http } from '../http-params.js';
import { HttpResponse } from '../http-response.js';

declare namespace HttpGet {
    type Input = {
        timeout?: number;
        baseURL?: string;
        url: string;
        headers?: HttpHeaders;
        routeParams?: Http.Route[];
        queryParams?: Http.Query[];
    };
}
interface HttpGetClient {
    get<R = any>(input: HttpGet.Input): Promise<HttpResponse<R>>;
}

export { HttpGet, HttpGetClient };
