import { HttpHeaders } from '../http-headers.js';
import { Http } from '../http-params.js';
import { HttpResponse } from '../http-response.js';

declare namespace HttpPatch {
    type Input<D> = {
        timeout?: number;
        baseURL?: string;
        url: string;
        data: D;
        headers?: HttpHeaders;
        routeParams?: Http.Route[];
        queryParams?: Http.Query[];
    };
}
interface HttpPatchClient {
    patch<D = any, R = any>(input: HttpPatch.Input<D>): Promise<HttpResponse<R>>;
}

export { HttpPatch, HttpPatchClient };
