import { HttpHeaders } from '../http-headers.js';
import { Http } from '../http-params.js';
import { HttpResponse } from '../http-response.js';

declare namespace HttpPut {
    type Input<D> = {
        timeout?: number;
        baseURL?: string;
        url: string;
        data: D;
        headers?: HttpHeaders;
        routeParams?: Http.Route[];
        queryParams?: Http.Query[];
    };
}
interface HttpPutClient {
    put<D = any, R = any>(input: HttpPut.Input<D>): Promise<HttpResponse<R>>;
}

export { HttpPut, HttpPutClient };
